/*-------------------------------------------------------- 
* Module Name : transport gateway api
* Version : 1.4.1
* 
* Software Name : Transport Manager
* Version : 1.4.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html
* or see the "license.txt" file for more details.
*
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* SMS Event to be handled 
*
*--------------------------------------------------------
* ${Log}
*
*/

package com.orange.labs.quickpass.tm.gateway;

import com.orange.labs.quickpass.type.Msisdn;

/**
 * SMS Event to be handled 
 */
public interface SMSListener {

    /**
     * SMS broker acknowledge 
     * @param msisdn msisdn
     */
    void ack(String msisdn);

    /**
     * SMS broker incoming Text Mesage
     * @param msg text msg
     */
    void onIncomingTextMessage(String msg);

    /**
     * SMS broker incoming binary data
     * @param por proof of receipt (send by UICC)
     * @param msisdn phone number
     */
    void onIncomingPor(Msisdn msisdn, byte[] por);
   

    /**
     * SMS delivery notification (on handset)
     * @param msisdn phone number
     */
    void onSmsDelivered(Msisdn msisdn);

}
